---
title: ReadableStreamBYOBRequest.respond()
slug: Web/API/ReadableStreamBYOBRequest/respond
tags:
  - API
  - Experimental
  - Method
  - ReadableStreamBYOBRequest
  - Reference
  - Streams
  - respond
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>error()</code></strong> method of the {{domxref("ReadableStreamBYOBRequest")}} interface xxx</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">readableStreamBYOBRequestInstance.respond(<em>bytesWritten</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>bytesWritten</em></dt>
 <dd>xxx</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Void.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>TypeError</dt>
 <dd>The source object is not a <code>ReadableStreamBYOBRequest</code>, or there is no associated controller, or the associated internal array buffer is detached.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#rs-byob-request-respond","respond()")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ReadableStreamBYOBRequest.respond")}}</p>
